# Generated by Django 2.2.2 on 2021-04-21 08:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('languages', '0001_initial'),
        ('courses', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=40, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Assignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('created_at', models.DateTimeField(blank=True, editable=False, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('deadline', models.DateTimeField(blank=True, null=True)),
                ('published', models.BooleanField(default=False)),
                ('statement', models.FileField(blank=True, null=True, upload_to='statements')),
                ('period', models.CharField(blank=True, default='', max_length=20, null=True)),
                ('source', models.FileField(blank=True, null=True, upload_to='source')),
                ('tests', models.FileField(blank=True, null=True, upload_to='test_files')),
                ('cleanup_script', models.CharField(choices=[('NoCleanup', 'No cleanup'), ('WhitespaceCleaner', 'Whitespace cleanup')], default='No cleanup', max_length=100)),
                ('allowed_languages', models.ManyToManyField(to='languages.Language')),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='courses.Course')),
                ('original', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='assignments.Assignment')),
                ('tags', models.ManyToManyField(blank=True, to='assignments.Tag')),
            ],
        ),
    ]
